# Uses of Class
net.shibboleth.idp.plugin.authn.webauthn.exception.RegistrationFailureException

Packages that use RegistrationFailureException
Package
Description
net.shibboleth.idp.plugin.authn.webauthn.client
Client APIs for WebAuthn.
net.shibboleth.idp.plugin.authn.webauthn.client.impl
This package has WebAuthn client implementations for WebAuthn.

## Uses of RegistrationFailureException in net.shibboleth.idp.plugin.authn.webauthn.client

Methods in net.shibboleth.idp.plugin.authn.webauthn.client that throw RegistrationFailureException
Modifier and Type
Method
Description
`RegistrationResult`
WebAuthnAuthenticationClient.`validateAuthenticatorAttestationResponse(com.yubico.webauthn.data.PublicKeyCredentialCreationOptions publicKeyCredentialCreationOptions, com.yubico.webauthn.data.PublicKeyCredential<com.yubico.webauthn.data.AuthenticatorAttestationResponse,com.yubico.webauthn.data.ClientRegistrationExtensionOutputs> publicKeyCredentialAttestationResponse)`
Validate the PublicKeyCredential authenticator attestation response from a registration request.

## Uses of RegistrationFailureException in net.shibboleth.idp.plugin.authn.webauthn.client.impl

Methods in net.shibboleth.idp.plugin.authn.webauthn.client.impl that throw RegistrationFailureException
Modifier and Type
Method
Description
`RegistrationResult`
YubicoWebAuthnAuthenticationClient.`validateAuthenticatorAttestationResponse(com.yubico.webauthn.data.PublicKeyCredentialCreationOptions publicKeyCredentialCreationOptions, com.yubico.webauthn.data.PublicKeyCredential<com.yubico.webauthn.data.AuthenticatorAttestationResponse,com.yubico.webauthn.data.ClientRegistrationExtensionOutputs> authenticatorAttestationResponse)`
Validate the PublicKeyCredential authenticator attestation response from a registration request.